summaryrefslogtreecommitdiffstats
path: root/libxml2/autogen.sh
diff options
context:
space:
mode:
authorWilliam Joye <wjoye@cfa.harvard.edu>2016-10-19 18:22:05 (GMT)
committerWilliam Joye <wjoye@cfa.harvard.edu>2016-10-19 18:22:05 (GMT)
commit34be72f9ed749a5c013d3f7f47d810e8caf652cb (patch)
tree2f75b6050c088da53d774b3da3fb71e7fa49ec78 /libxml2/autogen.sh
parent604eac5688c5d437ed6d585ee63e53fba6f558c0 (diff)
parent0f851b6f17365c29b56d6a17564d58a33120508a (diff)
downloadblt-34be72f9ed749a5c013d3f7f47d810e8caf652cb.zip
blt-34be72f9ed749a5c013d3f7f47d810e8caf652cb.tar.gz
blt-34be72f9ed749a5c013d3f7f47d810e8caf652cb.tar.bz2
Merge commit '0f851b6f17365c29b56d6a17564d58a33120508a' as 'libxml2'
Diffstat (limited to 'libxml2/autogen.sh')
-rwxr-xr-xlibxml2/autogen.sh81
1 files changed, 81 insertions, 0 deletions
diff --git a/libxml2/autogen.sh b/libxml2/autogen.sh
new file mode 100755
index 0000000..8b47ea5
--- /dev/null
+++ b/libxml2/autogen.sh
@@ -0,0 +1,81 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+THEDIR=`pwd`
+cd $srcdir
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile libxml."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/autoconf"
+ DIE=1
+}
+
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile libxml."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/libtool"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ DIE=1
+ echo "You must have automake installed to compile libxml."
+ echo "Download the appropriate package for your distribution,"
+ echo "or see http://www.gnu.org/software/automake"
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+test -f entities.c || {
+ echo "You must run this script in the top-level libxml directory"
+ exit 1
+}
+
+EXTRA_ARGS=
+if test "x$1" = "x--system"; then
+ shift
+ prefix=/usr
+ libdir=$prefix/lib
+ sysconfdir=/etc
+ localstatedir=/var
+ if [ -d /usr/lib64 ]; then
+ libdir=$prefix/lib64
+ fi
+ EXTRA_ARGS="--prefix=$prefix --sysconfdir=$sysconfdir --localstatedir=$localstatedir --libdir=$libdir"
+ echo "Running ./configure with $EXTRA_ARGS $@"
+else
+ if test -z "$NOCONFIGURE" && test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+ fi
+fi
+
+if [ ! -d $srcdir/m4 ]; then
+ mkdir $srcdir/m4
+fi
+
+# Replaced by autoreconf below
+autoreconf -if -Wall
+
+cd $THEDIR
+
+if test x$OBJ_DIR != x; then
+ mkdir -p "$OBJ_DIR"
+ cd "$OBJ_DIR"
+fi
+
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure $EXTRA_ARGS "$@"
+ echo
+ echo "Now type 'make' to compile libxml2."
+fi